TagResource
Add tags to a resource.
Request Syntax
POST /tags/resourceArn HTTP/1.1
Content-type: application/json
{
"tags": {
"string" : "string"
}
}
URI Request Parameters
The request uses the following URI parameters.
- resourceArn
-
The Amazon Resource Name (ARN) of the resource.
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
[^<>]*Required: Yes
Request Body
The request accepts the following data in JSON format.
-
Tags to add to the resource.
Type: String to string map
Map Entries: Minimum number of 0 items. Maximum number of 50 items.
Key Length Constraints: Minimum length of 1. Maximum length of 128.
Key Pattern:
[a-zA-Z0-9\s_.:/=+\-@]*Value Length Constraints: Minimum length of 0. Maximum length of 256.
Value Pattern:
[a-zA-Z0-9\s_.:/=+\-@]*Required: Yes
Response Syntax
HTTP/1.1 204
Response Elements
If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
User does not have sufficient access to perform this action.
HTTP Status Code: 403
- InternalServerException
-
An unknown server exception has occurred.
- retryAfterSeconds
-
Number of seconds in which the caller can retry the request.
HTTP Status Code: 500
- ResourceNotFoundException
-
Request references a resource which does not exist.
- resourceId
-
Identifier of the affected resource.
- resourceType
-
Type of the affected resource.
HTTP Status Code: 404
- ThrottlingException
-
Request was denied due to request throttling.
- quotaCode
-
Code for the affected quota.
- retryAfterSeconds
-
Number of seconds in which the caller can retry the request.
- serviceCode
-
Code for the affected service.
HTTP Status Code: 429
- ValidationException
-
Request fails to satisfy the constraints specified by an AWS service.
- fieldList
-
The field that caused the error, if applicable.
- reason
-
Reason the request failed validation.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: